#include <iostream>
#include <queue>
#include <vector>
#include <map>
using namespace std;

struct Vertex;
struct Edge{
    Vertex * endVertex;
    long long cost;
};
// directed graph
struct Vertex {
    bool discovered = false;
    std::vector<Edge> neighs = {};
};

bool contains(std::map<int, vector<int>> & m, int key) {
    return m.find(key) != m.end();
}

int main() {
    int n;
    cin >> n;

    vector<Vertex> g (n);
    map<int, vector<int>> productToTowns;

    for (int i = 0; i < n; ++i) {
        int m;
        cin >> m;
        for (int j = 0; j < m; ++j) {
            int id, price;
            cin >> id >> price;
            if (contains(productToTowns, id)) {
                for(int townId : productToTowns[id]) {
                    g[townId].neighs.emplace_back(i, price-);
                }
            }
        }
    }

    return 0;
}
